package org.wamblee.support.jndi;

import java.util.HashMap;
import java.util.Map;

import javax.naming.InitialContext;
import javax.naming.Name;
import javax.naming.NamingException;

public class StubInitialContext extends InitialContext {
	private Map<String, Object> bindings = new HashMap<String, Object>();

	public StubInitialContext() throws NamingException { 
		super(true);
	}
	
	@Override
	public void bind(String name, Object obj) throws NamingException {
		bindings.put(name, obj);
	}

	@Override
	public Object lookup(String name) throws NamingException {
		return bindings.get(name);
	}
	
	@Override
	public Object lookup(Name name) throws NamingException {
		return super.lookup(name.toString());
	}
}
