package org.wamblee.support.persistence;

import java.util.List;

public abstract class AbstractDatabaseProvider implements DatabaseProvider {

	protected abstract List<String> getCapabilities(); 

	public final boolean supportsCapabilities(String[] aCapabilities) {
		for (String capability: aCapabilities) { 
			if ( !getCapabilities().contains(capability)) { 
				return false;
			}
		}
		return true; 
	}

}
