package org.wamblee.support.persistence;

import java.util.List;
import java.util.Map;

import org.dbunit.dataset.filter.ITableFilterSimple;

public class CompositeJpaCustomizer implements JpaCustomizer {
    
    private List<JpaCustomizer> _customizers;
    private CompositeJpaTables _tables; 
    
    public CompositeJpaCustomizer(List<JpaCustomizer> aCustomizers) { 
        _customizers = aCustomizers;
        _tables = new CompositeJpaTables();
        for (JpaCustomizer customizer: _customizers) { 
            _tables.add(customizer.getJpaTables());
        }    
    }
    
    @Override
    public void customize(PersistenceUnitDescription aPersistenceUnit, Map<String, String> aJpaProperties) {
        for (JpaCustomizer customizer: _customizers) { 
            customizer.customize(aPersistenceUnit, aJpaProperties); 
        }
    }

    @Override
    public ITableFilterSimple getJpaTables() {
        return _tables; 
    }

}
