package org.wamblee.support.persistence;

import java.util.ArrayList;
import java.util.List;

import org.dbunit.dataset.DataSetException;
import org.dbunit.dataset.filter.ITableFilterSimple;

public class CompositeJpaTables implements ITableFilterSimple {
    
    private List<ITableFilterSimple> _tables; 
    
    public CompositeJpaTables() { 
        _tables = new ArrayList<ITableFilterSimple>();
    }
    
    public void add(ITableFilterSimple aFilter) { 
        _tables.add(aFilter);
    }

    @Override
    public boolean accept(String aTableName) throws DataSetException {
        for (ITableFilterSimple filter: _tables) { 
            if (filter.accept(aTableName)) { 
                return true; 
            }
        }
        return false; 
    }

}
