package org.wamblee.support.persistence;

/**
 * Description of a specific database. 
 */
public class DatabaseDescription {

	private String[] itsCapabilities; 
	private String itsDatabase; 
	private String itsOther;
	
	/**
	 * Constructs the description. 
	 * @param aCapabilities List of all capabilities. 
	 * @param aDatabase Database. 
	 * @param aOther Other information. 
	 */
	public DatabaseDescription(String[] aCapabilities, String aDatabase, String aOther) {
		itsCapabilities = aCapabilities; 
		itsDatabase = aDatabase; 
		itsOther = aOther;
	}
	
	@Override
	public String toString() {
		return "\n  Database " + itsDatabase + 
				"\n    Capabilities: "  + printCapabilities() + 
				"\n    Other info:   " + itsOther; 
	}
	
	private String printCapabilities() {
		String res = "";
		for (int i = 0; i < itsCapabilities.length; i++) { 
			res += "" + itsCapabilities[i]; 
			if ( i < itsCapabilities.length -1 ) { 
				res += ", ";
			}
		}
		return res; 
	}
}
