package org.wamblee.support.persistence;

import java.util.Arrays;
import java.util.List;

public class DerbyDatabaseProvider extends AbstractDatabaseProvider {
	
	/**
	 * Capabilities of this type of database. 
	 */
	public static final List<String> CAPABILIITIES = 
		Arrays.asList(DatabaseProvider.CAPABILITY_IN_MEMORY, "DERBY");


	public DerbyDatabaseProvider() {
		// Empty
	}

	public Database create() {
		return new DerbyDatabase();
	}

	public DatabaseDescription getDescription() {
		return new DatabaseDescription(CAPABILIITIES.toArray(new String[0]),
				"Derby", "In-memory, volatile, set breakpoint to debug");
	}

    @Override
    protected List<String> getCapabilities() {
    	return CAPABILIITIES;
    }
}
