package org.wamblee.support.persistence;

import java.util.Arrays;
import java.util.List;

public class ExternalDatabaseProvider extends AbstractDatabaseProvider {

	/**
	 * Capabilities of this type of database.
	 */
	public static final List<String> CAPABILIITIES = Arrays
			.asList(CAPABILITY_EXTERNAL);

	@Override
	protected List<String> getCapabilities() {
		return CAPABILIITIES;
	}

	public Database create() {
		return new ExternalDatabase();
	}

	public DatabaseDescription getDescription() {
		return new DatabaseDescription(
				CAPABILIITIES.toArray(new String[0]),
				"External Database",
				"Any database as described by the JDBC URL: requires system properties or environment variables: "
						+ ExternalDatabase.DB_URL_PROP
						+ ", "
						+ ExternalDatabase.DB_USER_PROP
						+ ", and "
						+ ExternalDatabase.DB_PASSWORD_PROP);
	}

}
