package org.wamblee.support.persistence;

import java.util.Map;
import java.util.ServiceLoader;

import org.dbunit.dataset.filter.ITableFilterSimple;

/**
 * JPA customizer is used to customize properties for a given JPA implementation.
 * 
 * Implementations of JpaCustomizer are found using {@link ServiceLoader}. In case
 * of testing with a specific JPA provider, the customizer library for that JPA provider
 * must be on the classpath as well. 
 * 
 * @author Erik Brakkee
 */
public interface JpaCustomizer {

    void customize(PersistenceUnitDescription aPersistenceUnit, Map<String,String> aJpaProperties);
    
    ITableFilterSimple getJpaTables();
}
