/**
 * This package provide a number of utilities for database testing and in particular with 
 * JPA. 
 * 
 * The following utilities are available: 
 * <ul>
 *   <li> {@link JpaTester}: The main entry point for all JPA tests. 
 *   </li>
 *   <li> {@link JpaBuilder}: A utility constructed by <code>JpaTester</code> that provides a callback based 
 *      style of working with transaction-scoped entity managers. 
 *   </li>
 *   <li> {@link DatabaseUtils}: A utility constructed by <code>JpaTester</code> for working with databases in general. Test code will not use this 
 *        utility often. 
 *   </li>
 *   <li> {@link org.dbunit.IDatabaseTester}: A DB unit database tester. The test code can use this database tester. 
 *   It is also created by <code>JpaTester</code>
 *   </li>
 *   <li> {@link DatabaseBuilder}: A utility by which test code can transparently create an inmemory database or 
 *      connect to an external database. This is also used by <code>JpaTester</code>
 *   </li>
 * </ul>
 */
package org.wamblee.support.persistence;
